## hubzero-openvz-repo 2.1.0

=== Makefile ===
# @package      hubzero-openvz
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETCDIR=$(DESTDIR)/etc
MAJOR_VERSION=`lsb_release -r -s | cut -d . -f 1`

all:
	@true

install:
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '7' ]; then install --mode 0755 -D openvz.list.wheezy $(ETCDIR)/apt/sources.list.d/openvz.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '8' ]; then install --mode 0755 -D openvz.list.jessie $(ETCDIR)/apt/sources.list.d/openvz.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '9' ]; then install --mode 0755 -D openvz.list.stretch $(ETCDIR)/apt/sources.list.d/openvz.list; fi
	if [ -f /etc/debian_version ]; then install --mode 0755 -D openvz.gpg $(ETCDIR)/apt/trusted.gpg.d/openvz.gpg; fi

uninstall:
	@true

postinst:
	if [ -f /etc/debian_version ]; then apt-get update -o APT::List-Cleanup=0 -o Dir::Etc::sourcelist=/etc/apt/sources.list.d/openvz.list -o Dir::Etc::sourceparts="/dev/null"; fi

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-openvz-repo 2.1.2-1+deb7

=== debian/changelog ===
hubzero-openvz-repo (2.1.2-1+deb7) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 09:20:04 -0400

hubzero-openvz-repo (2.1.1-1) unstable; urgency=low

  * Remove postinst (can't work)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 18 Aug 2017 11:18:21 -0400

hubzero-openvz-repo (2.1.0-1) unstable; urgency=low

  * Initial release. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 17 Aug 2017 10:01:43 -0400

## hubzero-openvz-repo 2.1.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -34,10 +34,10 @@
 	@true
 
 install:
-	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '7' ]; then install --mode 0755 -D openvz.list.wheezy $(ETCDIR)/apt/sources.list.d/openvz.list; fi
-	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '8' ]; then install --mode 0755 -D openvz.list.jessie $(ETCDIR)/apt/sources.list.d/openvz.list; fi
-	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '9' ]; then install --mode 0755 -D openvz.list.stretch $(ETCDIR)/apt/sources.list.d/openvz.list; fi
-	if [ -f /etc/debian_version ]; then install --mode 0755 -D openvz.gpg $(ETCDIR)/apt/trusted.gpg.d/openvz.gpg; fi
+	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '7' ]; then install --mode 0644 -D openvz.list.wheezy $(ETCDIR)/apt/sources.list.d/openvz.list; fi
+	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '8' ]; then install --mode 0644 -D openvz.list.jessie $(ETCDIR)/apt/sources.list.d/openvz.list; fi
+	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '9' ]; then install --mode 0644 -D openvz.list.stretch $(ETCDIR)/apt/sources.list.d/openvz.list; fi
+	if [ -f /etc/debian_version ]; then install --mode 0644 -D openvz.gpg $(ETCDIR)/apt/trusted.gpg.d/openvz.gpg; fi
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-openvz-repo (2.1.2-1+deb8) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 09:20:04 -0400

=== debian/control ===
Source: hubzero-openvz-repo
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-openvz-repo
Architecture: amd64 i386
Description: HUBzero OpenVZ Support - OpenVZ Repository
 Installs OpenVZ package repository configuration

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-openvz-repo
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-openvz-repo install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-openvz-repo 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-openvz
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-openvz-repo 2.2.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	@true
 
 postinst:
+	sed -i -e '/download\.openvz\.org\/debian/d' /etc/apt/sources.list
 	if [ -f /etc/debian_version ]; then apt-get update -o APT::List-Cleanup=0 -o Dir::Etc::sourcelist=/etc/apt/sources.list.d/openvz.list -o Dir::Etc::sourceparts="/dev/null"; fi
 
 clean:

=== debian/changelog ===
hubzero-openvz-repo (2.2.2-1+deb8) unstable; urgency=low

  * add postinst to clean up /etc/apt/sources.list openvz repo references

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 15:45:21 -0400

hubzero-openvz-repo (2.2.1-1) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Jun 2018 14:38:02 -0400

hubzero-openvz-repo (2.2.0-1) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 09:27:40 -0400

hubzero-openvz-repo (2.1.2-1) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 09:20:04 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-openvz-repo
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-openvz-repo 2.2.3-1+deb9

=== debian/changelog ===
hubzero-openvz-repo (2.2.3-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:25:35 -0700

hubzero-openvz-repo (2.2.2-1) unstable; urgency=low

  * add postinst to clean up /etc/apt/sources.list openvz repo references

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 06 Aug 2018 15:45:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-openvz-repo
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

## hubzero-openvz-repo 2.2.4-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-openvz
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETCDIR=$(DESTDIR)/etc

=== debian/changelog ===
hubzero-openvz-repo (2.2.4-1+deb9) unstable; urgency=low

  * mark openvz repo as trusted for Debian 9

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 18:51:21 -0700

hubzero-openvz-repo (2.2.3-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:25:35 -0700

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-openvz-repo
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
